Loading...
Searching...
No Matches
XrdOfsPoscq::recEnt Struct Reference

`#include <XrdOfsPoscq.hh>`

Collaboration diagram for XrdOfsPoscq::recEnt:

## Public Member Functions

| recEnt (struct Request &reqref, int mval, recEnt *nval=0)

## Public Attributes

int | Mode
recEnt * | Next
int | Offset
struct Request | reqData

## Detailed Description

Definition at line 56 of file XrdOfsPoscq.hh.

## Constructor & Destructor Documentation

## recEnt()

XrdOfsPoscq::recEnt::recEnt | ( | struct Request & | reqref,
|  | int | mval,
|  | recEnt * | nval = 0 )

inline

Definition at line 62 of file XrdOfsPoscq.hh.

{Next = nval; Offset = 0; Mode = mval; reqData = reqref;}
XrdOfsPoscq::recEnt::Next
recEnt * Next
Definition XrdOfsPoscq.hh:58
XrdOfsPoscq::recEnt::Mode
int Mode
Definition XrdOfsPoscq.hh:60
XrdOfsPoscq::recEnt::reqData
struct Request reqData
Definition XrdOfsPoscq.hh:61
XrdOfsPoscq::recEnt::Offset
int Offset
Definition XrdOfsPoscq.hh:59

References recEnt(), Mode, Next, Offset, and reqData.

Referenced by recEnt().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## Mode

int XrdOfsPoscq::recEnt::Mode

Definition at line 60 of file XrdOfsPoscq.hh.

Referenced by recEnt().

## Next

recEnt* XrdOfsPoscq::recEnt::Next

Definition at line 58 of file XrdOfsPoscq.hh.

Referenced by recEnt().

## Offset

int XrdOfsPoscq::recEnt::Offset

Definition at line 59 of file XrdOfsPoscq.hh.

Referenced by recEnt().

## reqData

struct Request XrdOfsPoscq::recEnt::reqData

Definition at line 61 of file XrdOfsPoscq.hh.

Referenced by recEnt().

The documentation for this struct was generated from the following file:

- XrdOfsPoscq.hh